class LicenseModel {
  final Header? header;
  final Body? body;

  LicenseModel({this.header, this.body});

  static LicenseModel fromJson(Map<String, dynamic> json) => LicenseModel(
      header: Header.fromJson(json['Header']),
      body: Body.fromJson(json['Body']));

  Map<String, dynamic> toJson() =>
      <String, dynamic>{'header': header!.toJson(), 'body': body!.toJson()};
}

class Header {
  final String? command;
  final String? version;
  final String? code;
  final String? message;
  final String? language;

  Header({this.command, this.version, this.code, this.message, this.language});

  factory Header.fromJson(Map<String, dynamic> parsedJson) {
    return Header(
      command: parsedJson['command'],
      version: parsedJson['version'],
      code: parsedJson['code'],
      message: parsedJson['message'],
      language: parsedJson['language'],
    );
  }

  Map<String, dynamic> toJson() => <String, dynamic>{
        'command': command,
        'version': version,
        'code': code,
        'message': message,
        'language': language,
      };
}

class Body {
  final String? verify;
  final String? limit;
  final String? level;

  Body({this.verify, this.limit, this.level});

  factory Body.fromJson(Map<String, dynamic> parsedJson) {
    return Body(
      verify: parsedJson['verify'],
      limit: parsedJson['limit'],
      level: parsedJson['level'],
    );
  }

  Map<String, dynamic> toJson() => <String, dynamic>{
        'verify': verify,
        'limit': limit,
        'level': level,
      };
}
