import 'dart:convert';

import 'package:flutter_common_package/src/common/license_constants.dart';
import 'package:flutter_common_package/src/license/license+model.dart';
import 'package:flutter_network_package/flutter_network_package.dart';

final RestfulService restService = RestfulService();

class FlutterLicense {
  static Future<bool> verify(license) async {
    try {
      var networkParams = NetworkParams(license: license);
      var responseData = await restService.restful(
          method: "POST",
          path: LicenseConstants.API,
          queryParameters: networkParams.toJson());

      Map<String, dynamic> dataModel = json.decode(responseData.toString());
      var licenseInfo = LicenseModel.fromJson(dataModel);
      if (licenseInfo.body?.verify == "success") {
        return true;
      }
    } catch (e) {
      print(e);
    }

    return false;
  }
}

class NetworkParams {
  final String? license;

  NetworkParams({this.license});

  static NetworkParams fromJson(Map<String, dynamic> json) => NetworkParams(
        license: json['license'] as String,
      );

  Map<String, dynamic> toJson() => <String, dynamic>{
        'license': license,
      };
}
